# Class Constants

java.lang.Object
org.apache.naming.factory.Constants

public final class Constants extends Object
Static constants for this package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DBCP_DATASOURCE_FACTORY`
DBCP data source factory class name.
`static final String`
`DEFAULT_EJB_FACTORY`
Default EJB factory class name.
`static final String`
`DEFAULT_HANDLER_FACTORY`
Default handler factory class name.
`static final String`
`DEFAULT_LOOKUP_JNDI_FACTORY`
Default JNDI lookup factory class name.
`static final String`
`DEFAULT_RESOURCE_ENV_FACTORY`
Default resource environment factory class name.
`static final String`
`DEFAULT_RESOURCE_FACTORY`
Default resource factory class name.
`static final String`
`DEFAULT_RESOURCE_LINK_FACTORY`
Default resource link factory class name.
`static final String`
`DEFAULT_SERVICE_FACTORY`
Default service reference factory class name.
`static final String`
`DEFAULT_TRANSACTION_FACTORY`
Default transaction factory class name.
`static final String`
`FACTORY`
Factory attribute name.
`static final String`
`OPENEJB_EJB_FACTORY`
OpenEJB factory class name.
`static final String`
`Package`
Package name for naming factory classes.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### Package

public static final String Package
Package name for naming factory classes.

See Also:
  - Constant Field Values

### DEFAULT_RESOURCE_FACTORY

public static final String DEFAULT_RESOURCE_FACTORY
Default resource factory class name.

See Also:
  - Constant Field Values

### DEFAULT_RESOURCE_LINK_FACTORY

public static final String DEFAULT_RESOURCE_LINK_FACTORY
Default resource link factory class name.

See Also:
  - Constant Field Values

### DEFAULT_TRANSACTION_FACTORY

public static final String DEFAULT_TRANSACTION_FACTORY
Default transaction factory class name.

See Also:
  - Constant Field Values

### DEFAULT_RESOURCE_ENV_FACTORY

public static final String DEFAULT_RESOURCE_ENV_FACTORY
Default resource environment factory class name.

See Also:
  - Constant Field Values

### DEFAULT_EJB_FACTORY

public static final String DEFAULT_EJB_FACTORY
Default EJB factory class name.

See Also:
  - Constant Field Values

### DEFAULT_SERVICE_FACTORY

public static final String DEFAULT_SERVICE_FACTORY
Default service reference factory class name.

See Also:
  - Constant Field Values

### DEFAULT_HANDLER_FACTORY

public static final String DEFAULT_HANDLER_FACTORY
Default handler factory class name.

See Also:
  - Constant Field Values

### DBCP_DATASOURCE_FACTORY

public static final String DBCP_DATASOURCE_FACTORY
DBCP data source factory class name.

See Also:
  - Constant Field Values

### OPENEJB_EJB_FACTORY

public static final String OPENEJB_EJB_FACTORY
OpenEJB factory class name.

See Also:
  - Constant Field Values

### DEFAULT_LOOKUP_JNDI_FACTORY

public static final String DEFAULT_LOOKUP_JNDI_FACTORY
Default JNDI lookup factory class name.

See Also:
  - Constant Field Values

### FACTORY

public static final String FACTORY
Factory attribute name.

See Also:
  - Constant Field Values